## net.sourceforge.pmd.cpd
Class Tokens

    java.lang.Object
      net.sourceforge.pmd.cpd.Tokens

public class Tokens
extends java.lang.Object

Constructor Summary
`Tokens()`

Method Summary
`void` `add(TokenEntry tokenEntry)`
`int` `getLineCount(TokenEntry mark, Match match)`
`java.util.List` `getTokens()`
`java.util.Iterator` `iterator()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tokens

    public Tokens()

Method Detail

### add

    public void add(TokenEntry tokenEntry)

### iterator

    public java.util.Iterator iterator()

### size

    public int size()

### getLineCount

    public int getLineCount(TokenEntry mark,
                            Match match)

### getTokens

    public java.util.List getTokens()

Copyright © 2002-2006 InfoEther. All Rights Reserved.